## BtMachinePresetPropertiesDialog BtMachinePresetPropertiesDialog — machine preset settings |

## Functions

BtMachinePresetPropertiesDialog * | bt_machine_preset_properties_dialog_new ()
void | bt_machine_preset_properties_dialog_apply ()

## Properties

gpointer | comment | Read / Write / Construct Only
GstElement * | machine | Read / Write / Construct Only
gpointer | name | Read / Write / Construct Only

## Types and Values

struct | BtMachinePresetPropertiesDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── BtMachinePresetPropertiesDialog

## Implemented Interfaces

BtMachinePresetPropertiesDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

A dialog to (re)configure machine presets.

## Functions

### bt_machine_preset_properties_dialog_new ()

    BtMachinePresetPropertiesDialog *
    bt_machine_preset_properties_dialog_new
                                   (GstElement *machine,
                                    gchar **name,
                                    gchar **comment);

Create a new instance

#### Parameters

machine | the machine for which to create the dialog for |
name | the preset name |
comment | the comment name |

#### Returns

the new instance

### bt_machine_preset_properties_dialog_apply ()

    void
    bt_machine_preset_properties_dialog_apply
                                   (const BtMachinePresetPropertiesDialog *self);

Makes the dialog settings effective.

#### Parameters

self | the dialog which settings to apply |

## Types and Values

### struct BtMachinePresetPropertiesDialog

    struct BtMachinePresetPropertiesDialog;

the root window for the editor application

## Property Details

### The `“comment”` property

      “comment”                  gpointer

address of preset comment.

Flags: Read / Write / Construct Only

### The `“machine”` property

      “machine”                  GstElement *

Set machine object, the dialog handles.

Flags: Read / Write / Construct Only

### The `“name”` property

      “name”                     gpointer

address of preset name.

Flags: Read / Write / Construct Only